import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

Page {
  id: root
  property string eventName
  property list<string> competitors

  header: ToolBar {
    ToolButton {
      text: qsTr("Back")
      anchors.left: parent.left
      anchors.leftMargin: 10
      anchors.verticalCenter: parent.verticalCenter
      onClicked: root.StackView.view.pop()
    }
    Label {
      id: pageTitle
      font.pixelSize: 20
      anchors.centerIn: parent
      text: eventName
    }
  }

  ListView {
    id: listView
    anchors.fill: parent
    topMargin: 48
    leftMargin: 48
    bottomMargin: 48
    rightMargin: 48
    spacing: 20
    model: competitors
    delegate: ItemDelegate {
      text: modelData
      width: listView.width - listView.leftMargin - listView.rightMargin
      height: avatar.implicitHeight + 32
      leftPadding: avatar.implicitWidth + 32

      Image {
        id: avatar
        // source: "images/" + modelData.replace(" ", "_") + ".png"
      }
    }
  }


}

