
#pragma once

#include "Competitor.h"
#include <QMap>
#include <QJsonObject>

#include <QAbstractListModel>

class MedalWinner : public Competitor {

     Q_OBJECT

     Q_PROPERTY(int gold READ m_gold NOTIFY nGold)
     Q_PROPERTY(int silver READ m_silver NOTIFY nSilver)
     Q_PROPERTY(int bronze READ m_bronze NOTIFY nBronze)

public:
    explicit MedalWinner(Competitor *parent) : Competitor(parent) {}

    bool setMedalWinner(const QJsonObject &competitor);
    void setMedalWinner(const MedalWinner &competitor);

    bool setMedals(const QJsonObject &medals);

    void setGold(int gold) { this->m_gold = gold; }
    void setSilver(int silver) { this->m_silver = silver; }
    void setBronze(int bronze) { this->m_bronze = bronze; }

    int getGold() { return m_gold; }
    int getSilver() { return m_silver; }
    int getBronze() { return m_bronze; }

    static bool compare(MedalWinner lComp, MedalWinner rComp);

private:
    int m_gold, m_silver, m_bronze;

};
